Im confused about the smbx versions.

General discussion about Super Mario Bros. X.
User avatar
Switzerlandball
Shy Guy
Shy Guy
Posts: 5
Joined: Tue Oct 10, 2017 3:12 pm
Chat Username: Switzerlandball

Im confused about the smbx versions.

Postby Switzerlandball » Thu Oct 12, 2017 5:09 pm

Im a bit confused about the smbx version there is the 2.0,the 1.3.0.1 and few others.But what is the better Version?I have the Episode called Betterified III but it doesn't work very well with 1.3.0.1 but it works with the 2.0.And why is there multiple versions.English is not my first language i hope you understand me.

PixelPest
Link
Link
Posts: 7116
Joined: Sun Jul 12, 2015 5:38 pm
Flair: Tamer of Boom Booms
Current Project: Boom Boom Evolution
Chat Username: PixelPest
Contact:

Re: Im confused about the smbx versions.

Postby PixelPest » Thu Oct 12, 2017 5:14 pm

Betterified II specifically says to use SMBX2 or 1.3.0.2 as they have features SMBX 1.3.0.1 does not

User avatar
Hoeloe
Kamikaze Koopa
Kamikaze Koopa
Posts: 1236
Joined: Sat Oct 03, 2015 6:18 pm
Flair: The Codehaus Girl
Current Project: A2XT Episode 2

Re: Im confused about the smbx versions.

Postby Hoeloe » Thu Oct 12, 2017 5:14 pm

SMBX 1.3.0.1 is the last version made by Redigit before he abandoned the project. SMBX2 (also called SMBX 2.0) is a continuation project with a new set of developers, picking up from where Redigit left off.

SMBX2 is the newer and better version.

User avatar
Switzerlandball
Shy Guy
Shy Guy
Posts: 5
Joined: Tue Oct 10, 2017 3:12 pm
Chat Username: Switzerlandball

Re: Im confused about the smbx versions.

Postby Switzerlandball » Thu Oct 12, 2017 5:17 pm

PixelPest wrote:Betterified II specifically says to use SMBX2 or 1.3.0.2 as they have features SMBX 1.3.0.1 does not
Then why is it in the 1.3.0.1 Forums?

PixelPest
Link
Link
Posts: 7116
Joined: Sun Jul 12, 2015 5:38 pm
Flair: Tamer of Boom Booms
Current Project: Boom Boom Evolution
Chat Username: PixelPest
Contact:

Re: Im confused about the smbx versions.

Postby PixelPest » Thu Oct 12, 2017 5:21 pm

Switzerlandball wrote:
PixelPest wrote:Betterified II specifically says to use SMBX2 or 1.3.0.2 as they have features SMBX 1.3.0.1 does not
Then why is it in the 1.3.0.1 Forums?
These forums aren't just for 1.3.0.1...

User avatar
HenryRichard
Ludwig von Koopa
Ludwig von Koopa
Posts: 2846
Joined: Mon Dec 23, 2013 12:09 pm
Flair: Is this where I type my password?
Contact:

Re: Im confused about the smbx versions.

Postby HenryRichard » Thu Oct 12, 2017 5:23 pm

  • 1.3 was the last "official" version of SMBX developed by Redigit.
  • 1.3.0.1 was a minor update to 1.3 that improves the sound and music quality, as well as changes a few graphics. It is considered official on this site.
  • 1.3.0.2 is an unofficial version that adds the LunaLua expansion, which allows level creators to add elements to their levels with the Lua programming language.
  • 2.0 is the most recent version of SMBX. It adds several new characters, blocks, NPCs, a new editor and launcher, and more via the LunaLua expansion and some other hacks. It's in beta currently, which means that some of the new features may be changed in the future, but other than that it's completely stable and I highly recommend you use it.
  • 1.4.x isn't actually the original SMBX, but a recreation made by a guy named 5438A38A. It adds new NPCs, its own new editor, power ups, and its own programming language called TeaScript. At the moment it contains more than the current 2.0 beta, but that will change with the next 2.0 release (which is estimated to come out early next year). I'd advise against using it since it's completely separate from 2.0. If you make a level using it, you'd have to convert it to the 1.3 level format in order to use it with any other version, and all 1.4 features will stop working.
edit: oh man I got ninja'd really bad
Jesus is my savior.

User avatar
Cedur
Toad
Toad
Posts: 6477
Joined: Tue Jun 28, 2016 10:14 am

Re: Im confused about the smbx versions.

Postby Cedur » Fri Oct 13, 2017 8:10 am

I recommend you to get 2.0 and use it for every episode that doesn't require 1.4 / 38A (people usually state if their episodes are for 1.4). I only use 2.0 even for 1.3-compatible episodes because it has clearer sounds, less crashes and less lag. In 2.0 you only need to watch out to not minimize the window while having the game paused, as this causes a crash.

Adding to what HenryRichard said, 1.4 is also said to have buggy physics. I don't spend time with it.

Grüezi
Image
More Supports: show

Image
Image

Still using the legacy editor? Get SMBX2 and PGE, it will improve your experience significantly. Here's why. And remember, Yoshis are tools to be used and discarded.

ShadowStarX (06/14/18) wrote: South Korea is easy deal

User avatar
Radiance
Level Reviewer
Level Reviewer
Posts: 1295
Joined: Thu Dec 10, 2015 7:53 am
Current Project: https://www.supermariobrosx.org/forums/ ... hp?t=16308

Re: Im confused about the smbx versions.

Postby Radiance » Fri Oct 13, 2017 9:44 am

Cedur wrote:In 2.0 you only need to watch out to not minimize the window while having the game paused, as this causes a crash.
I thought that crash happens just because of my PC.

User avatar
Electriking
Posts: 4487
Joined: Mon Jun 06, 2016 4:32 pm
Flair: I have NO idea what to put here
Current Project: Something
Chat Username: ElectriKing
Contact:

Re: Im confused about the smbx versions.

Postby Electriking » Fri Oct 13, 2017 3:33 pm

HenryRichard wrote:I'd advise against using it
Except to play 1.4 episodes/levels
SMM2 ID: JJF-P7G-FSF

User avatar
Teemster2
Volcano Lotus
Volcano Lotus
Posts: 518
Joined: Sat Jan 18, 2014 11:56 am

Re: Im confused about the smbx versions.

Postby Teemster2 » Sat Oct 14, 2017 2:17 am

Mr Briney wrote:
Cedur wrote:In 2.0 you only need to watch out to not minimize the window while having the game paused, as this causes a crash.
I thought that crash happens just because of my PC.
Hopefully they will fix this crash before the next release. Thankfully I have not had to minimize my game yet so this has not been an issue for me.
I want to say thank you to God for every day he gives me on this planet and for the chance to be in a better place when I die.

User avatar
TLtimelord
Red Yoshi Egg
Red Yoshi Egg
Posts: 2606
Joined: Sat Dec 21, 2013 5:16 pm
Flair: Info under raps
Current Project: A quirky lil episode
Chat Username: Augustus

Re: Im confused about the smbx versions.

Postby TLtimelord » Sat Oct 14, 2017 2:36 am

Mr Briney wrote:
Cedur wrote:In 2.0 you only need to watch out to not minimize the window while having the game paused, as this causes a crash.
I thought that crash happens just because of my PC.
I do it all the time and it never crashes or causes a problem at all.
In an age of darkness light appears
And it wards away the ancient fears
March to the anthem of the heart
To a brand new day, a brand new start

User avatar
Cedur
Toad
Toad
Posts: 6477
Joined: Tue Jun 28, 2016 10:14 am

Re: Im confused about the smbx versions.

Postby Cedur » Sat Oct 14, 2017 6:35 am

Yeah, I remember that I showcased it on Discodehaus, and Hoeloe's response was "try updating your graphics drivers".
Image
More Supports: show

Image
Image

Still using the legacy editor? Get SMBX2 and PGE, it will improve your experience significantly. Here's why. And remember, Yoshis are tools to be used and discarded.

ShadowStarX (06/14/18) wrote: South Korea is easy deal


Return to “General”

Who is online

Users browsing this forum: No registered users and 9 guests